#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1
visibility:           public
id:                   structured-0.1-3k8TEIyMkZi27V8lg2nVZc
key:                  structured-0.1-3k8TEIyMkZi27V8lg2nVZc
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  dc03026212f0a2b3be1deb1d41dd3a76
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.3/site-local/structured-0.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/structured-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/structured-0.1
hs-libraries:         HSstructured-0.1-3k8TEIyMkZi27V8lg2nVZc
depends:
    aeson-1.5.5.1-EbI2wCwFye45KEyklgimFo array-0.5.4.0 base-4.14.1.0
    base16-bytestring-1.0.1.0-8LlXKi88ExF2V0nRndcuv5 binary-0.8.8.0
    bytestring-0.10.12.0 containers-0.6.2.1
    hashable-1.3.0.0-5qdfMSsmqkmIwwd20sXj0N
    scientific-0.3.6.2-LlfFu8ynP90830oTCNARIJ
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1
    time-compat-1.9.5-4ahfTSIEEUm6qAyK9U7R5z transformers-0.5.6.2
    unordered-containers-0.2.13.0-B2itob00tt21MN59yWyZcw
    uuid-types-1.0.3-KGa6dDfRnZF74qZaJ4pAf6
    vector-0.12.1.2-9WhpBRriwwnDyQOL02PlGN

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

